## mx-tweak 25.09.01mx25

=== debian/changelog ===
mx-tweak (25.09.01mx25) mx; urgency=medium

  * update lightdm reset function path
  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 09 Sep 2025 20:04:06 -0400
