## mx-tweak 25.09.02mx25

=== debian/changelog ===
mx-tweak (25.09.02mx25) mx; urgency=medium

  * restart fluxbox after changing cursor size
  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 22 Sep 2025 21:04:34 -0400
