## mx-tweak 25.10.02mx25

=== debian/changelog ===
mx-tweak (25.10.02mx25) mx; urgency=medium

  * add NotShownIn=KDE  to brightness systray desktop file

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 07 Oct 2025 22:58:27 -0400
