=== build/GCC_configuration_CMake_preset_b550a9-Debug/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.31

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/dolphin/development/mx-tweak

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/dolphin/development/mx-tweak/build/GCC_configuration_CMake_preset_b550a9-Debug

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/dolphin/development/mx-tweak/build/GCC_configuration_CMake_preset_b550a9-Debug/CMakeFiles /home/dolphin/development/mx-tweak/build/GCC_configuration_CMake_preset_b550a9-Debug//CMakeFiles/progress.marks
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/dolphin/development/mx-tweak/build/GCC_configuration_CMake_preset_b550a9-Debug/CMakeFiles 0
.PHONY : all

# The main codegen target
codegen: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/dolphin/development/mx-tweak/build/GCC_configuration_CMake_preset_b550a9-Debug/CMakeFiles /home/dolphin/development/mx-tweak/build/GCC_configuration_CMake_preset_b550a9-Debug//CMakeFiles/progress.marks
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 codegen
	$(CMAKE_COMMAND) -E cmake_progress_start /home/dolphin/development/mx-tweak/build/GCC_configuration_CMake_preset_b550a9-Debug/CMakeFiles 0
.PHONY : codegen

# The main clean target
clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named mx-tweak

# Build rule for target.
mx-tweak: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mx-tweak
.PHONY : mx-tweak

# fast build rule for target.
mx-tweak/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak.dir/build.make CMakeFiles/mx-tweak.dir/build
.PHONY : mx-tweak/fast

#=============================================================================
# Target rules for targets named mx-tweak_ui_property_check

# Build rule for target.
mx-tweak_ui_property_check: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mx-tweak_ui_property_check
.PHONY : mx-tweak_ui_property_check

# fast build rule for target.
mx-tweak_ui_property_check/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak_ui_property_check.dir/build.make CMakeFiles/mx-tweak_ui_property_check.dir/build
.PHONY : mx-tweak_ui_property_check/fast

#=============================================================================
# Target rules for targets named mx-tweak_lupdate

# Build rule for target.
mx-tweak_lupdate: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mx-tweak_lupdate
.PHONY : mx-tweak_lupdate

# fast build rule for target.
mx-tweak_lupdate/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak_lupdate.dir/build.make CMakeFiles/mx-tweak_lupdate.dir/build
.PHONY : mx-tweak_lupdate/fast

#=============================================================================
# Target rules for targets named update_translations

# Build rule for target.
update_translations: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 update_translations
.PHONY : update_translations

# fast build rule for target.
update_translations/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/update_translations.dir/build.make CMakeFiles/update_translations.dir/build
.PHONY : update_translations/fast

#=============================================================================
# Target rules for targets named mx-tweak_lrelease

# Build rule for target.
mx-tweak_lrelease: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mx-tweak_lrelease
.PHONY : mx-tweak_lrelease

# fast build rule for target.
mx-tweak_lrelease/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak_lrelease.dir/build.make CMakeFiles/mx-tweak_lrelease.dir/build
.PHONY : mx-tweak_lrelease/fast

#=============================================================================
# Target rules for targets named release_translations

# Build rule for target.
release_translations: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 release_translations
.PHONY : release_translations

# fast build rule for target.
release_translations/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/release_translations.dir/build.make CMakeFiles/release_translations.dir/build
.PHONY : release_translations/fast

#=============================================================================
# Target rules for targets named mx-tweak_autogen_timestamp_deps

# Build rule for target.
mx-tweak_autogen_timestamp_deps: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mx-tweak_autogen_timestamp_deps
.PHONY : mx-tweak_autogen_timestamp_deps

# fast build rule for target.
mx-tweak_autogen_timestamp_deps/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak_autogen_timestamp_deps.dir/build.make CMakeFiles/mx-tweak_autogen_timestamp_deps.dir/build
.PHONY : mx-tweak_autogen_timestamp_deps/fast

#=============================================================================
# Target rules for targets named mx-tweak_autogen

# Build rule for target.
mx-tweak_autogen: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mx-tweak_autogen
.PHONY : mx-tweak_autogen

# fast build rule for target.
mx-tweak_autogen/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak_autogen.dir/build.make CMakeFiles/mx-tweak_autogen.dir/build
.PHONY : mx-tweak_autogen/fast

about.o: about.cpp.o
.PHONY : about.o

# target to build an object file
about.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak.dir/build.make CMakeFiles/mx-tweak.dir/about.cpp.o
.PHONY : about.cpp.o

about.i: about.cpp.i
.PHONY : about.i

# target to preprocess a source file
about.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak.dir/build.make CMakeFiles/mx-tweak.dir/about.cpp.i
.PHONY : about.cpp.i

about.s: about.cpp.s
.PHONY : about.s

# target to generate assembly for a file
about.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak.dir/build.make CMakeFiles/mx-tweak.dir/about.cpp.s
.PHONY : about.cpp.s

brightness_small.o: brightness_small.cpp.o
.PHONY : brightness_small.o

# target to build an object file
brightness_small.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak.dir/build.make CMakeFiles/mx-tweak.dir/brightness_small.cpp.o
.PHONY : brightness_small.cpp.o

brightness_small.i: brightness_small.cpp.i
.PHONY : brightness_small.i

# target to preprocess a source file
brightness_small.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak.dir/build.make CMakeFiles/mx-tweak.dir/brightness_small.cpp.i
.PHONY : brightness_small.cpp.i

brightness_small.s: brightness_small.cpp.s
.PHONY : brightness_small.s

# target to generate assembly for a file
brightness_small.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak.dir/build.make CMakeFiles/mx-tweak.dir/brightness_small.cpp.s
.PHONY : brightness_small.cpp.s

cmd.o: cmd.cpp.o
.PHONY : cmd.o

# target to build an object file
cmd.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak.dir/build.make CMakeFiles/mx-tweak.dir/cmd.cpp.o
.PHONY : cmd.cpp.o

cmd.i: cmd.cpp.i
.PHONY : cmd.i

# target to preprocess a source file
cmd.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak.dir/build.make CMakeFiles/mx-tweak.dir/cmd.cpp.i
.PHONY : cmd.cpp.i

cmd.s: cmd.cpp.s
.PHONY : cmd.s

# target to generate assembly for a file
cmd.cpp.s:
