## mx-tweak 25.10.04mx25

=== debian/changelog ===
mx-tweak (25.10.04mx25) mx; urgency=medium

  * fix dark mode checkbox action
  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 27 Oct 2025 18:34:53 -0400
