## mx-tweak 25.11.01mx25

=== debian/changelog ===
mx-tweak (25.11.01mx25) mx; urgency=medium

  * update translations
  * improve panel-preferences window detection

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 01 Nov 2025 10:53:39 -0400
