## mx-tweak 25.11.02mx25

=== debian/changelog ===
mx-tweak (25.11.02mx25) mx; urgency=medium

  * translations update

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 05 Nov 2025 21:03:51 -0500
