## mx-tweak 26.01.02mx25

=== debian/changelog ===
mx-tweak (26.01.02mx25) MX; urgency=medium

  * chooser for sysvinit or systemd as "default" init system
  * affects top level grub entry
  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 24 Jan 2026 20:42:24 -0500
